Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.commands
Enum AdHocCommand.Action

    java.lang.Object
      java.lang.Enum<AdHocCommand.Action>
          org.jivesoftware.openfire.commands.AdHocCommand.Action

All Implemented Interfaces:
  Serializable, Comparable<AdHocCommand.Action>

Enclosing class:
  AdHocCommand

    public static enum AdHocCommand.Action

extends Enum<AdHocCommand.Action>

Enum Constant Summary
`cancel` The command should be canceled.
`complete` The command should be completed (if possible).
`execute` The command should be executed or continue to be executed.
`next` The command should progress to the next stage of execution.
`prev` The command should be digress to the previous stage of execution.

Method Summary
`static AdHocCommand.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AdHocCommand.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### execute

    public static final AdHocCommand.Action execute

  The command should be executed or continue to be executed. This is the default value.

### cancel

    public static final AdHocCommand.Action cancel

  The command should be canceled.

### prev

    public static final AdHocCommand.Action prev

  The command should be digress to the previous stage of execution.

### next

    public static final AdHocCommand.Action next

  The command should progress to the next stage of execution.

### complete

    public static final AdHocCommand.Action complete

  The command should be completed (if possible).

Method Detail

### values

    public static final AdHocCommand.Action[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AdHocCommand.Action c : AdHocCommand.Action.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AdHocCommand.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.